summaryrefslogtreecommitdiffstats
path: root/office/evince-gtk2
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2023-04-28 02:19:55 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-29 18:11:40 +0700
commit8ad9b4355efd95b7e1a1e4098ec53c0cfdff2068 (patch)
treeb2dfc9d07e4511f309be52f5a7f33977f3f1d205 /office/evince-gtk2
parent0cbb911dfff4d70746a109dbba5138eb8d3f6d86 (diff)
downloadslackbuilds-8ad9b4355efd95b7e1a1e4098ec53c0cfdff2068.tar.gz
slackbuilds-8ad9b4355efd95b7e1a1e4098ec53c0cfdff2068.tar.xz
office/evince-gtk2: Added (a simple gnome-based document viewer)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/evince-gtk2')
-rw-r--r--office/evince-gtk2/README16
-rw-r--r--office/evince-gtk2/doinst.sh15
-rw-r--r--office/evince-gtk2/evince-gtk2.SlackBuild149
-rw-r--r--office/evince-gtk2/evince-gtk2.info10
-rw-r--r--office/evince-gtk2/slack-desc19
5 files changed, 209 insertions, 0 deletions
diff --git a/office/evince-gtk2/README b/office/evince-gtk2/README
new file mode 100644
index 0000000000..668273f0f3
--- /dev/null
+++ b/office/evince-gtk2/README
@@ -0,0 +1,16 @@
+This is the last GTK2 version of evince. It will conflict with the
+latest one, so don't install both.
+
+Evince is a document viewer for multiple document formats. It currently
+supports pdf, postscript, djvu, tiff and dvi. The goal of evince is to
+replace the multiple document viewers that exist on the GNOME Desktop
+with a single simple application.
+
+Evince is specifically designed to support the following file formats:
+* PDF
+* Postscript
+* DjVu
+* TIFF
+* CBR/CBZ (comic books)
+* DVI (requires optional dependency texlive)
+* XPS (requires optional dependency libgxps)
diff --git a/office/evince-gtk2/doinst.sh b/office/evince-gtk2/doinst.sh
new file mode 100644
index 0000000000..0254ea06d8
--- /dev/null
+++ b/office/evince-gtk2/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/office/evince-gtk2/evince-gtk2.SlackBuild b/office/evince-gtk2/evince-gtk2.SlackBuild
new file mode 100644
index 0000000000..b28bfd0f1c
--- /dev/null
+++ b/office/evince-gtk2/evince-gtk2.SlackBuild
@@ -0,0 +1,149 @@
+#!/bin/bash
+
+# Slackware build script for evince-gtk2
+
+# Copyright 2023 Petar Petrov slackalaxy@gmail.com
+# Copyright 2009 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2009, Michiel van Wessem, Manchester, United Kingdom.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=evince-gtk2
+SRCNAM=evince
+VERSION=${VERSION:-2.32.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NLS=${NLS:-YES}
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$NLS" != "YES" ]; then
+ # disable NLS - we're going for a small package here.
+ rm po/*.po
+ sed -i -e 's/USE_NLS=yes/USE_NLS=no/g' \
+ -e 's/ENABLE_NLS 1/ENABLE_NLS 0/g' configure
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --without-keyring \
+ --without-gconf \
+ --disable-dbus \
+ --enable-pdf \
+ --enable-tiff \
+ --enable-djvu \
+ --enable-t1lib \
+ --enable-pixbuf \
+ --enable-comics \
+ --enable-impress \
+ --disable-dvi \
+ --disable-static \
+ --disable-schemas-install \
+ --disable-scrollkeeper \
+ --disable-nautilus \
+ --disable-introspection \
+ --disable-maintainer-mode \
+ --build=$ARCH-slackware-linux
+
+make LDFLAGS=-lICE
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Fix desktop entry
+sed -i "/NoDisplay=true/d" $PKG/usr/share/applications/evince.desktop
+
+# Remove these
+rm -rf $PKG/*.schemas
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -rf $PKG/{usr/share/gtk-doc,etc}
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/evince-gtk2/evince-gtk2.info b/office/evince-gtk2/evince-gtk2.info
new file mode 100644
index 0000000000..6e7a3bba65
--- /dev/null
+++ b/office/evince-gtk2/evince-gtk2.info
@@ -0,0 +1,10 @@
+PRGNAM="evince-gtk2"
+VERSION="2.32.0"
+HOMEPAGE="http://projects.gnome.org/evince/"
+DOWNLOAD="https://download.gnome.org/sources/evince/2.32/evince-2.32.0.tar.bz2"
+MD5SUM="ebc3ce6df8dcbf29cb9492f8dd031319"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnome-icon-theme"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/office/evince-gtk2/slack-desc b/office/evince-gtk2/slack-desc
new file mode 100644
index 0000000000..58ba77a3bc
--- /dev/null
+++ b/office/evince-gtk2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+evince-gtk2: evince-gtk2 (a simple gnome-based document viewer)
+evince-gtk2:
+evince-gtk2: Evince is a document viewer for multiple document formats.
+evince-gtk2: It currently supports pdf, postscript, djvu, tiff, and dvi.
+evince-gtk2:
+evince-gtk2: The goal of evince is to replace the multiple document viewers
+evince-gtk2: that exist on the GNOME Desktop with a single simple application.
+evince-gtk2:
+evince-gtk2: homepage: http://projects.gnome.org/evince/
+evince-gtk2:
+evince-gtk2: